<?php

namespace FortAwesome;

function handles_ignored_for_conflict_detection() {
	return array(
		'colors',
		'common',
		'forms',
		'admin-menu',
		'dashboard',
		'list-tables',
		'edit',
		'revisions',
		'media',
		'themes',
		'about',
		'nav-menus',
		'widgets',
		'site-icon',
		'l10n',
		'code-editor',
		'site-health',
		'wp-admin',
		'login',
		'install',
		'wp-color-picker',
		'customize-controls',
		'customize-widgets',
		'customize-nav-menus',
		'ie',
		'buttons',
		'dashicons',
		'admin-bar',
		'wp-auth-check',
		'editor-buttons',
		'media-views',
		'wp-pointer',
		'customize-preview',
		'wp-embed-template-ie',
		'imgareaselect',
		'wp-jquery-ui-dialog',
		'mediaelement',
		'wp-mediaelement',
		'thickbox',
		'wp-codemirror',
		'deprecated-media',
		'farbtastic',
		'jcrop',
		'colors-fresh',
		'open-sans',
		'wp-editor-font',
		'wp-block-library-theme',
		'wp-edit-blocks',
		'wp-block-editor',
		'wp-block-library',
		'wp-components',
		'wp-edit-post',
		'wp-editor',
		'wp-format-library',
		'wp-list-reusable-blocks',
		'wp-nux',
		'debug-bar',
		'debug-bar-codemirror',
		'debug-bar-console',
		'debug-bar-constants',
		'utils',
		'common',
		'wp-sanitize',
		'sack',
		'quicktags',
		'colorpicker',
		'editor',
		'clipboard',
		'wp-fullscreen-stub',
		'wp-ajax-response',
		'wp-api-request',
		'wp-pointer',
		'autosave',
		'heartbeat',
		'wp-auth-check',
		'wp-lists',
		'prototype',
		'scriptaculous-root',
		'scriptaculous-builder',
		'scriptaculous-dragdrop',
		'scriptaculous-effects',
		'scriptaculous-slider',
		'scriptaculous-sound',
		'scriptaculous-controls',
		'scriptaculous',
		'cropper',
		'jquery',
		'jquery-core',
		'jquery-migrate',
		'jquery-ui-core',
		'jquery-effects-core',
		'jquery-effects-blind',
		'jquery-effects-bounce',
		'jquery-effects-clip',
		'jquery-effects-drop',
		'jquery-effects-explode',
		'jquery-effects-fade',
		'jquery-effects-fold',
		'jquery-effects-highlight',
		'jquery-effects-puff',
		'jquery-effects-pulsate',
		'jquery-effects-scale',
		'jquery-effects-shake',
		'jquery-effects-size',
		'jquery-effects-slide',
		'jquery-effects-transfer',
		'jquery-ui-accordion',
		'jquery-ui-autocomplete',
		'jquery-ui-button',
		'jquery-ui-datepicker',
		'jquery-ui-dialog',
		'jquery-ui-draggable',
		'jquery-ui-droppable',
		'jquery-ui-menu',
		'jquery-ui-mouse',
		'jquery-ui-position',
		'jquery-ui-progressbar',
		'jquery-ui-resizable',
		'jquery-ui-selectable',
		'jquery-ui-selectmenu',
		'jquery-ui-slider',
		'jquery-ui-sortable',
		'jquery-ui-spinner',
		'jquery-ui-tabs',
		'jquery-ui-tooltip',
		'jquery-ui-widget',
		'jquery-form',
		'jquery-color',
		'schedule',
		'jquery-query',
		'jquery-serialize-object',
		'jquery-hotkeys',
		'jquery-table-hotkeys',
		'jquery-touch-punch',
		'suggest',
		'imagesloaded',
		'masonry',
		'jquery-masonry',
		'thickbox',
		'jcrop',
		'swfobject',
		'moxiejs',
		'plupload',
		'plupload-all',
		'plupload-html5',
		'plupload-flash',
		'plupload-silverlight',
		'plupload-html4',
		'plupload-handlers',
		'wp-plupload',
		'swfupload',
		'swfupload-all',
		'swfupload-handlers',
		'comment-reply',
		'json2',
		'underscore',
		'backbone',
		'wp-util',
		'wp-backbone',
		'revisions',
		'imgareaselect',
		'mediaelement',
		'mediaelement-core',
		'mediaelement-migrate',
		'mediaelement-vimeo',
		'wp-mediaelement',
		'wp-codemirror',
		'csslint',
		'esprima',
		'jshint',
		'jsonlint',
		'htmlhint',
		'htmlhint-kses',
		'code-editor',
		'wp-theme-plugin-editor',
		'wp-playlist',
		'zxcvbn-async',
		'password-strength-meter',
		'user-profile',
		'language-chooser',
		'user-suggest',
		'admin-bar',
		'wplink',
		'wpdialogs',
		'word-count',
		'media-upload',
		'hoverIntent',
		'hoverintent-js',
		'customize-base',
		'customize-loader',
		'customize-preview',
		'customize-models',
		'customize-views',
		'customize-controls',
		'customize-selective-refresh',
		'customize-widgets',
		'customize-preview-widgets',
		'customize-nav-menus',
		'customize-preview-nav-menus',
		'wp-custom-header',
		'accordion',
		'shortcode',
		'media-models',
		'wp-embed',
		'media-views',
		'media-editor',
		'media-audiovideo',
		'mce-view',
		'wp-api',
		'admin-tags',
		'admin-comments',
		'xfn',
		'postbox',
		'tags-box',
		'tags-suggest',
		'post',
		'editor-expand',
		'link',
		'comment',
		'admin-gallery',
		'admin-widgets',
		'media-widgets',
		'media-audio-widget',
		'media-image-widget',
		'media-gallery-widget',
		'media-video-widget',
		'text-widgets',
		'custom-html-widgets',
		'theme',
		'inline-edit-post',
		'inline-edit-tax',
		'plugin-install',
		'site-health',
		'privacy-tools',
		'updates',
		'farbtastic',
		'iris',
		'wp-color-picker',
		'dashboard',
		'list-revisions',
		'media-grid',
		'media',
		'image-edit',
		'set-post-thumbnail',
		'nav-menu',
		'custom-header',
		'custom-background',
		'media-gallery',
		'svg-painter',
		'react',
		'react-dom',
		'moment',
		'lodash',
		'wp-polyfill-fetch',
		'wp-polyfill-formdata',
		'wp-polyfill-node-contains',
		'wp-polyfill-element-closest',
		'wp-polyfill',
		'wp-tinymce-root',
		'wp-tinymce',
		'wp-tinymce-lists',
		'wp-a11y',
		'wp-annotations',
		'wp-api-fetch',
		'wp-autop',
		'wp-blob',
		'wp-block-editor',
		'wp-block-library',
		'wp-block-serialization-default-parser',
		'wp-blocks',
		'wp-components',
		'wp-compose',
		'wp-core-data',
		'wp-data',
		'wp-data-controls',
		'wp-date',
		'wp-deprecated',
		'wp-dom',
		'wp-dom-ready',
		'wp-edit-post',
		'wp-editor',
		'wp-element',
		'wp-escape-html',
		'wp-format-library',
		'wp-hooks',
		'wp-html-entities',
		'wp-i18n',
		'wp-is-shallow-equal',
		'wp-keycodes',
		'wp-list-reusable-blocks',
		'wp-media-utils',
		'wp-notices',
		'wp-nux',
		'wp-plugins',
		'wp-priority-queue',
		'wp-redux-routine',
		'wp-rich-text',
		'wp-server-side-render',
		'wp-shortcode',
		'wp-token-list',
		'wp-url',
		'wp-viewport',
		'wp-wordcount',
		'debug-bar',
		'debug-bar-codemirror',
		'debug-bar-console',
		'debug-bar-js',
		'debug-bar-constants',
		'font-awesome-official-admin',
		'debug-bar-transients',
	);
}
